#!/bin/sh

PATH=/bin:/sbin:/usr/bin:/usr/sbin
DATA=/tmp/data 
SYSTEM=/tmp/system 

echo Starting $0 `date`

mkdir -p ${DATA}
mkdir -p ${SYSTEM}

for IMAGE in mmcblk2p1 mmcblk2p2 mmcblk2p8 mmcblk2p9
do
   if [ -f ${UPDATE_MP}/tmp/${IMAGE}.img ]
   then
      echo "Updating ${IMAGE}"
      dd if=${UPDATE_MP}/tmp/${IMAGE}.img of=/dev/${IMAGE} bs=1024 conv=notrunc
   fi
done

mount /dev/mmcblk2p8 ${DATA}
mount /dev/mmcblk2p9 ${SYSTEM}

echo "-------- DATA -------"
ls -R ${DATA}
echo
echo "-------- SYSTEM -----"
echo
ls -R ${SYSTEM}
echo "---------------------"

umount ${DATA}
umount ${SYSTEM}

echo Done $0 `date`
